local sti = require 'sti'

M = {}

function love.load()
	love.graphics.setBackgroundColor(40,40,40)
	map = sti.new("maps/tile_01")
end

function love.update(dt)
	map:update(dt)
end

function love.draw()
	map:draw()

	love.graphics.setColor(255,255,255)

	love.graphics.print(love.timer.getFPS(), 0, 00)

	love.graphics.print(love.mouse.getX(), 0, 40)
	love.graphics.print(love.mouse.getY(), 0, 60)

	local cx, cy = math.ceil(love.mouse.getX() / map.tilewidth), math.ceil(love.mouse.getY() / map.tileheight)

	love.graphics.print(tostring(cx), 0, 80)
	love.graphics.print(tostring(cy), 0, 100)

	if cx > 0 and cy > 0 and cx <= map.width and cy <= map.height then -- make sure you are within bounds of the map
		if map.layers['forelayer'].data[cy][cx] then
			love.graphics.print(tostring(map.layers['forelayer'].data[cy][cx].gid), 0, 200)
		else
			love.graphics.print("false", 0, 200) -- print false if there is no tile data here
		end

		if map.layers['collision'].data[cy][cx] then
			love.graphics.print(tostring(map.layers['collision'].data[cy][cx].gid), 0, 220)
		else
			love.graphics.print("false", 0, 220) -- print false if there is no tile data here
		end
	end
end

function love.keyreleased(key)
	if key == "escape" then
      love.event.quit()
   	end
end
